//索引数字
template.helper('gzname', function (num) {
    switch(num){
        case '1':
            return '低估值';
            break;
        case '2':
            return '较低估值';
            break;
        case '3':
            return '正常估值';
            break;
        case '4':
            return '偏高估值';
            break;
        default :
            return '高估值';
    }
});
//toFixed
template.helper('toFixed', function (num,l) {
    return num = (Number(num).toFixed(l)).toString();
});
//盈利收益率
template.helper('ylsyl', function (pe) {
    return (100/pe).toFixed(2);
});
//万转化成亿
template.helper('fmtb', function (num) {
    return (num/10000).toFixed(2);
});

//当前市盈率的位置
template.helper('mask_leftposition', function (obj) {
    var marginLeft = '-28px;';
    if(obj.PETTM50Percentile > 10){
        marginLeft = '-31px;';
    }
    return 'left:'+obj.PETTMCur5Y+'%;margin-left:'+marginLeft;
});
var odata;
/*图表参数*/
var option = {
    title: {
        show:false,
        padding:0,
        text: '堆叠区域图'
    },
    tooltip: {
        trigger: 'axis',
        axisPointer: {
            type: 'line'
        },
        transitionDuration:0,
        backgroundColor:'rgba(38,40,63,.9)',
        textStyle:{fontSize:10},
        formatter: function(params) {
            return '市盈率:'+params[0].data+'<br/>'+'时间:'+params[0].axisValue;
        }

    },
    grid: {
        left: '0',
        right: '10px',
        bottom: '5px',
        top:'20px',
        containLabel:true
    },
    toolbox: {
        show: true,
        feature: {
            saveAsImage: {}
        }
    },
    xAxis:  {
        type: 'category',
        boundaryGap: true,
        data: ['02/12','02/13','02/14','02/15','02/16','02/17','02/18','02/19'],
        axisLabel:{
            textStyle:{
                color:'#677288',
                fontSize:10,
                align:'center'
            },
            formatter:function(value, index){
                /*console.log(option.xAxis.data.length)
                console.log(index)*/
                if(index == option.xAxis.data.length -1){
                    return value+'                ';
                }
                else if(index == 0){
                    return '                '+value;
                }
            },
            interval:6,
            margin:15
        },
        axisLine: {            // 坐标轴线
            lineStyle: {       // 属性lineStyle控制线条样式
                color: '#D4D7DD'
            },
            show:false
        },
        axisTick: {            // 坐标刻度
            show:false
        },
        splitLine: {           // 分隔线
            show:false,
            lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
                color: ['#f6f6f7']
            }
        }
    },
    yAxis: {
        type: 'value',
        /*axisLabel: {
         //formatter: '{value} W'
         formatter: '{value}'
         },*/
        axisLine: {            // 坐标轴线
            show:false,
            lineStyle: {       // 属性lineStyle控制线条样式
                color: '#D4D7DD'
            }
        },
        splitLine: {           // 分隔线
            show:false,
            lineStyle: {       // 属性lineStyle（详见lineStyle）控制线条样式
                color: ['#f6f6f7']
            }
        },
        axisTick:{
            show:false
        },
        axisLabel:{
            // inside:true,
            textStyle:{
                color:'#677288',
                baseline:'middle',
                fontSize:11
            },
            /*interval:function(index,value){
             console.log(value)
             },*/
            formatter: function (value, index) {
                return value.toFixed(2);
            }
        },
        axisPointer: {
            snap: true
        },
        min:'dataMin',
        max:'dataMax',
        //interval:25,
        scale:true,
        splitNumber:3
    },
    series: [
        {
            name:'市盈率',
            type:'line',
            smooth: true,
            lineStyle:{
                normal:{
                    width:1,
                    color:'#FC4747'
                }
            },
            animation:false,
            data: [11.23,31.23,41.23,51.23,22.23,45.23,18.23,35.23],
            markArea: {
                data: [ [{
                    //name: '高估值区(127.23-240.25)',
                    itemStyle:{"normal":{"color":"#FFE3E3"}},
                    label:{"normal":{"show":true,"textStyle":{"color":"#589dfc"},"position":'inside'}},
                    value:"高估值区",
                    yAxis: '70'
                }, {
                    yAxis: '121.11'
                }], [{
                    //name: '低估值区(27.23-40.25)',
                    itemStyle:{"normal":{"color":"#C7F5BF"}},
                    label:{"normal":{"show":true,"textStyle":{"color":"#fc4747"},"position":'inside'}},
                    value:"低估值区",
                    yAxis: '1.25'
                }, {
                    yAxis: '30'
                }],[{
                    //name: '中间区域(27.23-40.25)',
                    itemStyle:{"normal":{"color":"#fff"}},
                    label:{"normal":{"show":true,"textStyle":{"color":"#fff"},"position":'inside'}},
                    value:"中间区域",
                    yAxis: '1.25'
                }, {
                    yAxis: '30'
                }] ]
            },
            markPoint : {
                symbol:'image://../images/mfv_markpoint.png',
                symbolSize:[85,51],
                /*formatter:function (value, index) {
                 return (value*1).toFixed2(2);
                 },*/
                symbolOffset:['-40%','70%'],
                itemStyle: {
                    normal: {
                        color:'#47A5F4',
                        opacity:'1',
                        borderColor:'rgba(59,159,243,0.2)',
                        borderWidth :'5'
                    }
                },
                label:{
                    normal:{
                        position:['8','3'],
                        textStyle:{
                            color:'#FFF',
                            textAlign:"center"
                        }
                    }
                },
                data: [
                    {
                        name: '某个坐标',
                        coord: ['02/19','35.23'],
                        // value:'3.02%',
                        label:{
                            normal:{
                                position:['5','9'],
                                textStyle:{
                                    color:'#FFF',
                                    fontSize:10
                                },
                                formatter: function (data) {
                                    //如果标注的数据显示有问题把该formatter去掉
                                    return '市盈率20.23\n\n时间:2017-02';
                                    //return data.data.coord[1];
                                }
                            }
                        }
                    }
                ]
            }
        }
    ]
};


//新开webview打开页面
function goNewPage(){
    $(document).on('click','.openpage_link',function(){
        var allowstatus = $(this).attr('allowstatus');
        Com.openNewWebViewPage($(this));
    });
}

//指数详情画图表
/**
 *
 * @param type:0市盈率|1市净率
 * @param period:0 5年|1 10年
 */

var myChart;
function drawCharts(type,period){
    var param = {};
    var secuid = Com.getQueryStringByName('secuid');
    var loadingobj = $('#chartsloading');
    param['SecuID'] = secuid;
    param['period'] = period;
    var ajaxData = function(datajson){
        //Com.ajaxLoading();
        loadingobj.css('display','block');
        Com.ajax({
            "url":Com.getOrigin()+"/gsfinancing/uv/getUVHistory/1.0",
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                //Com.ajaxLoaded();
                loadingobj.css('display','none');
                if(d.result[0].code == '0') {
                    if(d.data.length>0){
                        var otips = $('.charts_tips');
                        if(d.undervaluation !== 'undefined' && d.undervaluation.length){
                            if(type =='0'){
                                //市盈率
                                if(period == '0'){
                                    //5年
                                    if(d.undervaluation[0].years == '2'){
                                        otips.html('指数市盈率未满5年').css('display','block');
                                    }else{
                                        otips.css('display','none');
                                    }
                                }
                                else{
                                    if(d.undervaluation[0].years != '0'){
                                        otips.html('指数市盈率未满10年').css('display','block');
                                    }else{
                                        otips.css('display','none');
                                    }
                                }
                            }else{
                                //市净率
                                if(period == '0'){
                                    //5年
                                    if(d.undervaluation[0].years == '2'){
                                        otips.html('指数市净率未满5年').css('display','block');
                                    }else{
                                        otips.css('display','none');
                                    }
                                }
                                else{
                                    if(d.undervaluation[0].years != '0'){
                                        otips.html('指数市净率未满10年').css('display','block');
                                    }else{
                                        otips.css('display','none');
                                    }
                                }
                            }

                        }
                        //数据拿到之后将图表下方的按钮焦点激活
                        $('.det_d_a').removeClass('on').eq(type).addClass('on');
                        //数据拿到之后将5年、10年焦点激活
                        $('.time_chartsdata').removeClass('on').eq(period).addClass('on');

                        //画图
                        drawMethod(type,d);
                    }else{
                        $('#charts_main').css('display','none');
                    }


                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert('',d.result[0].msg,['确定'],'');
                }

            },
            "isTradeLogin":false,
            "error":function(){
                //Com.ajaxLoaded();
                loadingobj.css('display','none');
                Com.showNativeAlert('','网络不给力',['确定'],'');
            }
        });
    };
    ajaxData(param);

    function drawMethod(drawtype,datajson){
        var valueArry = [];
        var dateArry = [];
        var maxValue = 0;
        var minValue = 0;
        var hightvalue = '';
        var lowvalue = '';
        var maxvalue_demo = '';
        var minvalue_demo = '';
        if(drawtype == '0'){
            hightvalue = datajson.undervaluation[0].highPETTM;
            lowvalue = datajson.undervaluation[0].lowPETTM;
            maxvalue_demo = datajson.undervaluation[0].maxPETTM;
            minvalue_demo = datajson.undervaluation[0].minPETTM;
        }else{
            hightvalue = datajson.undervaluation[0].highPB;
            lowvalue = datajson.undervaluation[0].lowPB;
            maxvalue_demo = datajson.undervaluation[0].maxPB;
            minvalue_demo = datajson.undervaluation[0].minPB;
        }
        for(var i = 0;i<datajson.data.length; i++){
            if(drawtype == '0'){
                valueArry.push(datajson.data[i].PETTM);
            }else{
                valueArry.push(datajson.data[i].PB);
            }
            dateArry.push(datajson.data[i].TradingDay);
        }
        maxValue = Math.max.apply(null, valueArry);
        minValue = Math.min.apply(null, valueArry);
        option.tooltip.formatter = function(params){
            if(drawtype == '0'){
                return '市盈率:'+params[0].data+'<br/>'+'时间:'+params[0].axisValue;
            }else{
                return '市净率:'+params[0].data+'<br/>'+'时间:'+params[0].axisValue;
            }

        };
        option.xAxis.data = dateArry;
        option.xAxis.axisLabel.interval = valueArry.length-2;
        if(maxValue == minValue){
            option.yAxis.interval = (maxValue)/2;
        }else{
            option.yAxis.interval = ((maxValue-minValue)/2)+(maxValue-minValue)/20;
        }

        option.series[0].data = valueArry;
        //option.series[0].markArea.data[0][0].name = '高估值区('+hightvalue+'-'+maxValue+')';
        option.series[0].markArea.data[0][0].yAxis = hightvalue;
        option.series[0].markArea.data[0][1].yAxis = maxValue;
        //option.series[0].markArea.data[1][0].name = '低估值区('+minValue+'-'+lowvalue+')';
        option.series[0].markArea.data[1][0].yAxis = minValue;
        option.series[0].markArea.data[1][1].yAxis = lowvalue;


        option.series[0].markArea.data[2][0].yAxis = lowvalue;
        option.series[0].markArea.data[2][1].yAxis = hightvalue;

        console.log(maxValue+'||||'+minValue)
        //console.log(hightvalue+"|"+maxValue+'|'+minValue+'|'+lowvalue)
        option.series[0].markPoint.data = [{
            name: '某个坐标',
            coord: ['02/19','35.23'],
            // value:'3.02%',
            label:{
                normal:{
                    position:['5','9'],
                    textStyle:{
                        color:'#FFF',
                        fontSize:10
                    },
                    formatter: function (data) {
                        //如果标注的数据显示有问题把该formatter去掉
                        return '市盈率20.23\n\n时间:2017-02';
                        //return data.data.coord[1];
                    }
                }
            }
        }];
        option.series[0].markPoint.data[0].coord = [(dateArry[dateArry.length-1]),(valueArry[valueArry.length-1])];
        option.series[0].markPoint.data[0].label.normal.formatter = function(data){
            //return '市盈率';
            if(drawtype == '0'){
                return '市盈率:'+valueArry[valueArry.length-1]+'\n\n时间:'+dateArry[dateArry.length-1];
            }else{
                return '市净率:'+valueArry[valueArry.length-1]+'\n\n时间:'+dateArry[dateArry.length-1];
            }

        };
        if(valueArry[valueArry.length-1] > parseFloat((maxValue-minValue)/2+minValue)){
            option.series[0].markPoint.symbol='image://../images/mfv_markpoint_b.png';
            option.series[0].markPoint.symbolOffset=['-40%','70%'];
            option.series[0].markPoint.data[0].label.normal.position=['3','13'];
        }else{
            option.series[0].markPoint.symbol='image://../images/mfv_markpoint_t.png';
            option.series[0].markPoint.symbolOffset=['-40%','-70%'];
            option.series[0].markPoint.data[0].label.normal.position=['3','9'];
        }
        var gqbox = $('#gzqj_tips');
        var ggqdata = $('#ggqdata');
        var dgqdata = $('#dgqdata');
        /*ggqdata.html('高估值区('+hightvalue+'-'+maxValue+')');
        dgqdata.html('低估值区('+minValue+'-'+lowvalue+')');*/
        ggqdata.html('高估值区('+hightvalue+'-'+maxvalue_demo+')');
        dgqdata.html('低估值区('+minvalue_demo+'-'+lowvalue+')');
        gqbox.css('display','block');


        //单位净值图表
        myChart = echarts.init(document.getElementById('mfv_charts'));
        myChart.setOption(option);


    }

    //drawMethod(type,textdata);
}

//指数详情页面
function indexDetailsInit(){
    goNewPage();

    //初始化图表市盈率、5年数据
    drawCharts('0','0');

    //顶部数据
    getIndexDtTop();

    //获取相关基金
    getRelationFund();

    //获取指数成份股
    getZsCfg();

    //获取指数课堂
    getNewsList();

    //接入客服模块
    robotAction('','','','','','9905','ztl024','8','openRobot');




    //添加删除自选股
    $(document).on('click','#zxbox',function(){
        var stkcode = $(this).attr('stkcode');
        var market = $(this).attr('market');
        addOrDelZx($(this),stkcode,market);
    });

    //打开行情(如有)
    $(document).on('click','#gostockinfo',function(){

        var tradingcode = $(this).attr('tradingcode');
        var market = $(this).attr('market');
        Com.gotoStockInfo(tradingcode,'',market);
    });

    //指数简介说明展示更多
    $(document).on('click','#openmore',function(){
        $('.summary_hide').addClass('disp-no');
        $('.summary').removeClass('disp-no');
    });

    //相关基金查看更多
    $(document).on('click','.loadmorearrow',function(){
        if($(this).hasClass('on')){
            $(this).removeClass('on').siblings('.moretable').addClass('disp-no');
        }else{
            $(this).addClass('on').siblings('.moretable').removeClass('disp-no');
        }
    });

    //跳转到基金对比选择基金页面
    $(document).on('click','#gocurfund',function(){
        TalkingData && TalkingData.onEventWithLabel('理财-指数投资', '指数详情页-基金对比');
        var secuid = Com.getQueryStringByName('secuid');
        Com.newWebViewOpenPage('',{'pageUrl':Com.getOrigin()+'/asset/goldsun_mlc/zstz/dist/pages/fund_contrast_list.html?secuid='+secuid,'weburl':Com.getOrigin()+'/asset/goldsun_mlc/zstz/dist/pages/fund_contrast_list.html?secuid='+secuid});
    });

    //指数课堂查看更多
    $(document).on('click','#morezskt',function(){
        Com.newWebViewOpenPage('',{'pageUrl':Com.getOrigin()+'/asset/goldsun_mlc/index_dt/pages/index_news_list.html','weburl':Com.getOrigin()+'/asset/goldsun_mlc/index_dt/pages/index_news_list.html'});
    });

    //跳转到文章详情
    $(document).on('click','.eachzskt',function(){
        var aid = $(this).attr('aid');
        TalkingData && TalkingData.onEventWithLabel('理财-指数投资', '指数详情页-指数课堂');
        Com.newWebViewOpenPage('',{"pageUrl":Com.getOrigin()+'/asset/news/guosen_school/news_detail.html?aid='+aid,"weburl":Com.getOrigin()+'/asset/news/guosen_school/news_detail.html?aid='+aid});
    });

    $(document).on('touchstart','#mfv_charts',function(){
        option.series[0].markPoint.data.length = 0 ;
        myChart.setOption(option);
    });

    //展示更多信息
    $(document).on('click','#showmoretab',function(){
        var eachinfodata = $('.eachinfodata');

        if($(this).hasClass('on')){
            $(this).removeClass('on');
            eachinfodata.each(function(index){
                if(index>3){
                    eachinfodata.eq(index).addClass('disp-no')
                }
            });
        }else{
            $(this).addClass('on');
            eachinfodata.each(function(index){
                eachinfodata.eq(index).removeClass('disp-no')
            });
        }
    });

    //点击顶部当前百分位弹出全屏提示
    $(document).on('click','#gzsm',function(){
        var splitstr = splitStr();
        Com.showScreenMask('估值区间','以指数市盈率为基准，计算当前市盈率处于最近5年（不足5年的，取最大可取长度数据进行统计）的百分位，得出的估值区间。'+splitstr+splitstr+'区间百分位（S)与估值区间对应一览：'+splitstr+'S≤20%：低估区'+splitstr+'20%< S ≤40%：较低估区'+splitstr+'40%< S ≤60%：正常区'+splitstr+'60%< S ≤80%：较高估区'+splitstr+'80%< S ≤100%：高估区'+splitstr+splitstr+'不同统计区间，估值百分位可能存在较大差异。'+splitstr+splitstr+'不同指数可能适用不同的估值指标进行评价。'+splitstr+splitstr+'数据均来源于恒生聚源、wind等合法公开的信息渠道，我公司对这些信息的准确性及完整性不做任何保证。投资有风险，资讯仅供参考 ，不作为具体推荐 ，投资者应自主做出投资决策并自行承担投资风险。');
    });

    //点击顶部当前百分位弹出全屏提示
    $(document).on('click','#sjbfwtips',function(){
        var splitstr = splitStr();
        Com.showScreenMask('数据说明','指数市盈率：成份股市值合计/成份股净利润合计，其中净利润指最近4个季度净利润之和。'+splitstr+splitstr+'指数市净率：成份股市值合计/成份股净资产合计，其中净资产指最新年报净资产。'+splitstr+splitstr+'市盈、市净百分位：取近5年（不足5年的，取最大可取长度数据进行统计）数据计算。'+splitstr+splitstr+'盈利收益率：市盈率的倒数，1/PE。'+splitstr+splitstr+'ROE(净资产收益率):净利润/净资产，代表着股东股权投资的报酬率，能从一定程度上反映公司赚钱的能力。'+splitstr+splitstr+'股息率：指数成分股市值合计/指数成分股现金股息合计，其中股息为过去4个季度股息之和。'+splitstr+splitstr+'数据均来源于恒生聚源、wind等合法公开的信息渠道，我公司对这些信息的准确性及完整性不做任何保证。投资有风险，资讯仅供参考 ，不作为具体推荐 ，投资者应自主做出投资决策并自行承担投资风险。');
    });

    //点击顶部当前百分位弹出全屏提示
    $(document).on('click','#mfv_tt_des',function(){
        Com.showScreenMask('当前百分位','当前百分位高，即指数的估值在当前时间区间相对高估；\n当前百分位低，即指数的估值在当前时间区间相对低估。');
    });

    //点击日均成交额弹出全屏提示
    $(document).on('click','#rjcje_link',function(){
        var startdate = $(this).attr('startdate');
        var enddate = $(this).attr('enddate');
        /*Com.showScreenMask('日均成交额','统计周期为'+(startdate.slice(0,4))+'年'+(startdate.slice(5,7))+'月'+(startdate.slice(8,10))+'日 - '+(enddate.slice(0,4))+'年'+(enddate.slice(5,7))+'月'+(enddate.slice(8,10))+'日，取5个交易日的平均值');*/
        Com.showScreenMask('日均成交额','统计最近5个交易日的日均成交额。');
    });


    //市盈率/市净率切换
    $(document).on('click','.det_d_a',function(){
        changePbPe($(this));

    });

    //5年/10年数据切换
    $(document).on('click','.time_chartsdata',function(){
        changeTime($(this));
    });

    //指数成份股跳转到个股行情
    $(document).on('click','.goggxq',function(){
        var stockCode = $(this).parents('tr').attr('ComponentSecucode');
        var stockMarket = $(this).parents('tr').attr('market');
        Com.gotoStockInfo(stockCode,'',stockMarket);
    });

    //相关基金和指数成份股tab切换
    $(document).on('click','.protaba',function(){
        var olink = $('.protaba');
        var otabs = $('.mfv_ids_tabs');
        var oindex = olink.index($(this));
        olink.removeClass('on').eq(oindex).addClass('on');
        otabs.css('display','none').eq(oindex).css('display','block');
    });


    //场外基金购买
    $(document).on('click','.fundbuy',function(){
        var fundCode = $(this).parents('tr').attr('ofn');
        var fundCompanyCode = $(this).parents('tr').attr('tan');
        var $this = $(this);
        try
        {
            TalkingData.onEventWithLabel("理财-价值洼地",'价值洼地-基金购买');
        }
        catch(err) {}
        //购买处理
        Com.actionLogin(clickHandle);
        function clickHandle(){
            fund_checkUserCanBuy(fundCode,fundCompanyCode,$this,'0');//购买
        }
    });

    //场内基金购买
    $(document).on('click','.stockbuy',function(){
        var market = $(this).parents('tr').attr('market');
        var ofcode = $(this).parents('tr').attr('ComponentSecucode');
        try
        {
            TalkingData.onEventWithLabel("理财-价值洼地",'价值洼地-基金购买');
        }
        catch(err) {}
        Com.actionLogin(stockBuyHandle);
        function stockBuyHandle(){
            Com.callNativebuyOnSiteFund(ofcode,'',market,'1');//购买
        }
    });

    /*$(window).on('scroll',function(){
        var isMobile = Com.clientType();
        if(isMobile == 'ios'){
            var option = myChart.getOption();
            myChart.setOption(option);
            $('#newcharts').html('');
            $('#newcharts').html('<div id="mfv_charts" style="width: 100%;height: 200px;"></div>');
            myChart = echarts.init(document.getElementById('mfv_charts'));
            myChart.setOption(option);
        }
    });*/

    //客服入口
    //new Drag('fixedrobot');
    //接入客服模块
    //robotAction('','','','','','9905','ztl024','8','fixedrobot');
    Com.getNativeBarHeight(function(pm){
        var u= getWinScale();
        var statusBarHeight = pm.statusBarHeight;
        var navigationBarHeight   = pm.navigationBarHeight;
        var _height = Number(statusBarHeight)+Number(navigationBarHeight);
        $('#transparentbar').height(_height*u+'px');
        Com.callTransparentBar({"imgHeight":_height});
    });
}

//市盈率市净率切换处理
function changePbPe(that){
    var changebtn = $('.det_d_a');//市盈率、市净率切换按钮
    var changtime = $('.time_chartsdata');//5年、10年切换按钮
    var oindex_type = changebtn.index(that);//0市盈率|1市净率
    var oindex_time = changtime.index($('.time_chartsdata.on'));//0 5年|1 10年
    if(that.hasClass('on')){
        return;
    }
   /* if(typeof odata !== 'undefined'){
        if(odata.data.length){
            odata.data[0].loadtype = oindex_type;
            odata.data[0].timeindex = oindex_time;
            var oHtml = template('topNavDemo',odata);
            $('#topnav').html(oHtml);
        }
    }*/
    drawCharts(oindex_type,oindex_time);
}

//5年、10年切换处理
function changeTime(that){
    var changebtn = $('.det_d_a');//市盈率、市净率切换按钮
    var changtime = $('.time_chartsdata');//5年、10年切换按钮
    var oindex_time = changtime.index(that);//0 5年|1 10年
    var oindex_type = changebtn.index($('.det_d_a.on'));//0市盈率|1市净率
    if(that.hasClass('on')){
        return;
    }
    /*if(typeof odata !== 'undefined'){
        if(odata.data.length){
            odata.data[0].loadtype = oindex_type;
            odata.data[0].timeindex = oindex_time;
            var oHtml = template('topNavDemo',odata);
            $('#topnav').html(oHtml);
        }
    }*/
    drawCharts(oindex_type,oindex_time);
}

//点击行情调用native接口跳转到股票行情
function goMarketQts(){
    var stockCode = Com.getLocalValue('zh_stockcode');
    var stockMarket = Com.getLocalValue('zh_stockmarket');
    Com.gotoStockInfo(stockCode,'',stockMarket);
}


//获取指数详情页上部分数据
function getIndexDtTop(){
    var param = {};
    var secuid = Com.getQueryStringByName('secuid');
    param['SecuID'] = secuid;
    var ajaxData = function(datajson){
        Com.ajax({
            "url":Com.getOrigin()+"/gsfinancing/uv/getUVDetail/2.0",
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                if(d.result[0].code == '0') {
                    /*测试用*/
                    /*d={"result":[{"msg":"SYSERR_OK","pkg":"H_102767","code":0}],"data":[{"maxPETTM10Y":"62.84","marketflag":"1","PBCur5Y":"0.44","years":"1","maxPB5Y":"7.70","minPETTM10Y":"23.24","PBvaluation5YCHN":"低估区","PETTMValuation10Y":"1","SecuID":"JY12793","TradingCode":"000978","PBCur10Y":"2.46","minPB10Y":"3.00","maxPETTM5Y":"62.84","SecuAbbr":"医药100","TradingDay":"2018-12-31","fundsnum":"","minPETTM5Y":"24.24","PETTMCur10Y":"2.00","PBvaluation10Y":"1","PETTMValuation5YCHN":"低估区","PETTMValuation5Y":"1","maxPB10Y":"7.70","PBvaluation10YCHN":"低估区","minPB5Y":"3.18","Exchange":"QT","market":"0","PB":"3.22","PETTMCur5Y":"1.04","PETTMValuation10YCHN":"低估区","PBvaluation5Y":"1","PETTM":"32.25"}]}
                    d.data[0].summary = '综合反映了沪深市场内小市值公司的整体状况，其行业分布广泛均匀，其中不乏医药生物、电子、计算机等新兴产业，具有巨大的长期投资价值。综合反映了沪深市场内小市值公司的整体的萨尔王服务生佛的数据佛顶山奇偶发动机佛的数据佛顶山见附件偶的说佛的数据佛的时间放到搜房送东方季道so就放到';*/
                    /*end*/
                    if(d.data.length>0){
                        //是否为自选股
                        Com.isZxFund(d.data[0].TradingCode,isZxJsCallback,d.data[0].market);

                        d.data[0].showinfo = '0';//是否需要显示简要信息模块，只要有一项不为空就显示
                        d.data[0].showinfolength=0;
                        if(d.data[0].PETTM!='' || d.data[0].PETTMCur5Y!='' || d.data[0].PB!='' || d.data[0].PBCur5Y!='' || d.data[0].roe!='' || d.data[0].DiviendYield!=''){
                            d.data[0].showinfo ='1';
                        }
                        if(d.data[0].PETTM){
                            d.data[0].showinfolength =  d.data[0].showinfolength+2;//盈利收益率是市盈率的倒数，有了市盈率也就有了盈利收益率，所以加2
                        }
                        if(d.data[0].PETTMCur5Y){
                            d.data[0].showinfolength++;
                        }
                        if(d.data[0].PB!=''){
                            d.data[0].showinfolength++;
                        }
                        if(d.data[0].PBCur5Y){
                            d.data[0].showinfolength++;
                        }
                        if(d.data[0].roe){
                            d.data[0].showinfolength++;
                        }
                        if(d.data[0].DiviendYield){
                            d.data[0].showinfolength++;
                        }
                        /*if(d.data[0].marketflag && d.data[0].marketflag == '1'){
                         //当前指数有行情
                         Com.setLocalValue('zh_stockcode',d.data[0].TradingCode);
                         Com.setLocalValue('zh_stockmarket',d.data[0].market);
                         Com.rightTopBtn('3','行情',goMarketQts);
                         }else{
                         //当前指数没有行情
                         Com.rightTopBtn('0');
                         }*/

                        d.data[0].loadtype = '0';//0是市盈率相关|1市净率相关
                        d.data[0].timeindex = '0';//0是5年|1是10年
                        odata = d;
                        /*var oHtml = template('newtopDemo', d);
                        $('#details_top').html(oHtml);*/
                        var oHtml2 = template('bottommenuDemo', d);
                        $('#bottombox').html(oHtml2);
                    }
                    if(d.extra.length>0){
                        //如果简介内容较多超过4行，则用sunmmary_hide显示
                        d.extra[0].summary_hide = d.extra[0].summary;
                        var d_width = Math.round(($(window).width()*0.9573).toFixed(2)-40);

                        d.extra[0].showopenmore = '0';//是否需要显示下拉箭头(简介4行显示不下时)

                        var nameBd = '';
                        if(d.extra[0].exchange || d.extra[0].exchange !=''){
                            nameBd = d.extra[0].indexcode+'.'+d.extra[0].exchange;
                        }else{
                            nameBd = d.extra[0].indexcode;
                        }
                        if(d.extra[0].indexname && d.extra[0].indexname !=''){
                            Com.setLocalValue('zh_stockname',d.extra[0].indexname);
                        }

                        //设置标题
                        Com.setWebviewTitle('',{"title":d.extra[0].indexname+'('+nameBd+')',"bgColor":"2F569E"},true);
                        if(d.extra[0].summary){
                            var w_len = d.extra[0].summary.length;
                            var w_width = w_len*14;//字段长度*字号大小，得到整个段落展示需要的总总宽度
                            if(w_width/d_width>4){
                                d.extra[0].showopenmore = '1';
                                var endstr = d_width/14*4-7;//4行能显示的了多少个字符
                                d.extra[0].summary_hide = d.extra[0].summary_hide.substring(0,endstr)+'...';
                            }
                        }
                    }

                    var oHtml = template('newtopDemo', d);
                    $('#details_top').html(oHtml);
                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    $('#details_top').css('display','none');
                    return false;
                }
                else{
                    $('#details_top').css('display','none');
                    Com.showNativeAlert('',d.result[0].msg,['确定'],'');
                }

            },
            "isTradeLogin":false,
            "error":function(){
                $('#details_top').css('display','none');
                Com.showNativeAlert('','网络不给力',['确定'],'');
            }
        });
    };
    ajaxData(param);
}

//获取关联基金
function getRelationFund(){
    var param = {};
    var secuid = Com.getQueryStringByName('secuid');
    param['SecuID'] = secuid;
    var ajaxData = function(datajson){
        Com.ajax({
            "url":Com.getOrigin()+"/gsfinancing/uv/getFundList/1.0",
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                /*d.data=[
                    {SecuID:'JY48540',SecuAbbr:'富国中证500',TradingCode:123456,Exchange:'SH',endamt:500000,ofstatus:'0',buylow:1000,tacode:5,daytransactionvol:1111,startdate:'20190908',enddate:'20190925',marketflag:'0',market:'1',allowbuy:'1','1wyield':'2.35'},
                    {SecuID:'JY48540',SecuAbbr:'富国中证500',TradingCode:123456,Exchange:'SH',endamt:500000,ofstatus:'0',buylow:1000,tacode:5,daytransactionvol:1111,startdate:'20190908',enddate:'20190925',marketflag:'0',market:'1',allowbuy:'1','1wyield':'2.35'},
                    {SecuID:'JY48540',SecuAbbr:'富国中证500',TradingCode:123456,Exchange:'SH',endamt:500000,ofstatus:'0',buylow:1000,tacode:5,daytransactionvol:1111,startdate:'20190908',enddate:'20190925',marketflag:'0',market:'1',allowbuy:'1','1wyield':'2.35'},
                    {SecuID:'JY48540',SecuAbbr:'富国中证500',TradingCode:123456,Exchange:'SH',endamt:500000,ofstatus:'0',buylow:1000,tacode:5,daytransactionvol:1111,startdate:'20190908',enddate:'20190925',marketflag:'0',market:'1',allowbuy:'1','1wyield':'2.35'},
                    {SecuID:'JY48540',SecuAbbr:'富国中证500',TradingCode:123456,Exchange:'SH',endamt:500000,ofstatus:'0',buylow:1000,tacode:5,daytransactionvol:1111,startdate:'20190908',enddate:'20190925',marketflag:'0',market:'1',allowbuy:'1','1wyield':'2.35'},
                    {SecuID:'JY48540',SecuAbbr:'富国中证500',TradingCode:123456,Exchange:'SH',endamt:500000,ofstatus:'0',buylow:1000,tacode:5,daytransactionvol:1111,startdate:'20190908',enddate:'20190925',marketflag:'0',market:'1',allowbuy:'1','1wyield':'2.35'},
                    {SecuID:'JY48540',SecuAbbr:'上证50',TradingCode:123456,Exchange:'SH',endamt:500000,ofstatus:'1',buylow:1000,tacode:5,daytransactionvol:1111,startdate:'20190908',enddate:'20190925',marketflag:'1',market:'1',allowbuy:'1','1wyield':'2.35'},
                    {SecuID:'JY48540',SecuAbbr:'易方达中小指',TradingCode:123456,Exchange:'SH',endamt:500000,ofstatus:'0',buylow:1000,tacode:5,daytransactionvol:1111,startdate:'20190908',enddate:'20190925',marketflag:'0',market:'1',allowbuy:'1','1wyield':'2.35'},
                    {SecuID:'JY48540',SecuAbbr:'创业板ETF',TradingCode:123456,Exchange:'SH',endamt:500000,ofstatus:'1',buylow:1000,tacode:5,daytransactionvol:1111,startdate:'20190908',enddate:'20190925',marketflag:'1',market:'1',allowbuy:'1','1wyield':'2.35'},
                    {SecuID:'JY48540',SecuAbbr:'创业板ETF',TradingCode:123456,Exchange:'SH',endamt:500000,ofstatus:'1',buylow:1000,tacode:5,daytransactionvol:1111,startdate:'20190908',enddate:'20190925',marketflag:'1',market:'1',allowbuy:'1','1wyield':'2.35'},
                    {SecuID:'JY48540',SecuAbbr:'创业板ETF',TradingCode:123456,Exchange:'SH',endamt:500000,ofstatus:'1',buylow:1000,tacode:5,daytransactionvol:1111,startdate:'20190908',enddate:'20190925',marketflag:'1',market:'1',allowbuy:'1','1wyield':'2.35'},
                ]*/
                if(d.result[0].code == '0') {

                    var cnjj = [];
                    var cwjj = [];
                    var errortemp = [];

                    if(d.data && d.data.length != 0){
                        for(var i = 0; i< d.data.length;i++){
                            if(typeof d.data[i].marketflag!='undefined' && (d.data[i].marketflag == '0')){
                                cwjj.push(d.data[i]);
                            }else if(typeof d.data[i].marketflag!='undefined' && (d.data[i].marketflag == '1')){
                                cnjj.push(d.data[i]);
                            }
                            else if(typeof d.data[i].marketflag!='undefined' && (d.data[i].marketflag == '2')){
                                cwjj.push(d.data[i]);
                                cnjj.push(d.data[i]);
                            }else{
                                errortemp.push(d.data[i]);
                            }
                        }

                    }
                    d.cnjj = cnjj;
                    d.cwjj = cwjj;
                    var oHtml = template('xgjjDemo',d);
                    $('#xgjj').html(oHtml);

                    //名称超出显示省略号
                    var sd = $('.mfv_jj_tb tr').find('td').eq(0).attr('width');
                    if(sd){
                        var _width = $(window).width()*((sd.split('%')[0])/100);
                        $('.fundname').width(_width).css('white-space','nowrap');
                    }


                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert('',d.result[0].msg,['确定'],'');
                }

            },
            "isTradeLogin":false,
            "error":function(){
                Com.showNativeAlert('','网络不给力',['确定'],'');
            }
        });
    };
    ajaxData(param);
}


//获取指数成份股
function getZsCfg(){
    var param = {};
    var secuid = Com.getQueryStringByName('secuid');
    param['SecuID'] = secuid;
    param['pagenum'] = 0;
    param['pagesize'] = 10;
    var ajaxData = function(datajson){
        Com.ajax({
            "url":Com.getOrigin()+"/gsfinancing/uv/getStockList/1.0",
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                if(d.result[0].code == '0') {
                    var oHtml = template('zscfgDemo',d);
                    $('#zscfg').html(oHtml);

                    //如果没有指数成分股需要隐藏菜单
                    var oHtml2 = template('xgjjmenuboxDemo',d);
                    $('#xgjjmenubox').html(oHtml2);
                    //名称超出显示省略号
                    var sd = $('.mfv_jj_tb tr').find('td').eq(0).attr('width');
                    if(sd){
                        var _width = $(window).width()*((sd.split('%')[0])/100);
                        $('.fundname').width(_width).css('white-space','nowrap');
                    }

                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert('',d.result[0].msg,['确定'],'');
                }
            },
            "isTradeLogin":false,
            "error":function(){
                Com.showNativeAlert('','网络不给力',['确定'],'');
            }
        });
    };
    ajaxData(param);
}

//获取指数课堂
function getNewsList(){
    var param = {};
    var isTestIp =Com.localhostType();
    //列表的获取，测试环境的cid和生产环境的不一致，所以要区分一下
    param['cid'] = '196';
    if(isTestIp=='dev'||isTestIp=='test'){
        param['cid'] = '196';
    }else{
        param['cid'] = '277';
    }
    var ajaxData = function(datajson){
        Com.ajax({
            "url":Com.getOrigin()+'/gsnews/school/querySchoolClass/1.0',
            "data":datajson,
            "type":"post",
            "dataType":"json",
            "success":function(d){
                Com.ajaxLoaded();
                if(d.result[0].code == '0'){
                    var ohtml = template('popularDemo',d);
                    $('#zsketlist').html(ohtml);
                }
                else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                    return false;
                }
                else{
                    Com.showNativeAlert('',d.result[0].msg,['确定'],'');
                }
            },
            "isTradeLogin":false,
            "error":function(){
                Com.ajaxLoaded();
                Com.showNativeAlert('','网络不给力|querySchoolClass',['确定'],'')
            }
        });
    };
    ajaxData(param);
}

//全屏说明内容段落分隔符
function splitStr(){
    var clientType =Com.clientType();
    var splitStr='<br/>';
    if(clientType=='ios'){
        splitStr='\n';
    }
    return splitStr;
}

//是否是自选，native回调
function isZxJsCallback(nativeJson){
    if(nativeJson === 'string'){
        nativeJson = JSON.parse(nativeJson);
    }
    if(nativeJson.isAdded == 'true' || nativeJson.isAdded == true){
        //是自选
        $('#zxbox').addClass('on');
    }else{
        //不是自选，
        $('#zxbox').removeClass('on');
    }
}

//添加或删除自选
function addOrDelZx($this,ofn,market){
    var zxbox = $('#zxbox');
    var ison = zxbox.hasClass('on');
    if(!ison){
        //添加自选
        Com.addZxFund(ofn,zxAddCallback,market);
    }else{
        //删除自选
        Com.delZxFund(ofn,zxDelCallback,market);
    }
}


//添加自选回调函数
function zxAddCallback(nativeJson){

    if(nativeJson === 'string'){
        nativeJson = JSON.parse(nativeJson);
    }
    if(nativeJson.addResult == 'true' || nativeJson.addResult == true){
        $('#zxbox').addClass('on');
    }else{
        Com.showNativeAlert("",nativeJson.errorMessage,["确定"],'');
        return false;
    }
}

//删除自选回调函数
function zxDelCallback(nativeJson){
    if(nativeJson === 'string'){
        nativeJson = JSON.parse(nativeJson);
    }
    if(nativeJson.deletedResult == 'true' || nativeJson.deletedResult == true){
        $('#zxbox').removeClass('on');
    }else{
        Com.showNativeAlert("",nativeJson.errorMessage,["确定"],'');
    }
}


//获取像素比
function getWinScale(){
    var o = navigator.userAgent,
        d = o.match(/Android[\S\s]+AppleWebkit\/(\d{3})/i),
        l = o.match(/U3\/((\d+|\.){5,})/i),
        c = l && parseInt(l[1].split(".").join(""), 10) >= 80,
        p = navigator.appVersion.match(/(iphone|ipad|ipod)/gi),
        s = window.devicePixelRatio || 1;
    p || d && d[1] > 534 || c || (s = 1);
    var u = 1 / s;
    return u;
}

/*查询指数名称*/
function getIndexNameFunc(){
    var indexid = Com.getQueryStringByName('secuid');
    var param={};
    param['indexid'] = indexid;
    Com.ajax({
        "url":Com.getOrigin()+'/gsfinancing/indexinvest/getIndexBasicInfoById/1.0',
        "data":datajson,
        "type":"post",
        "dataType":"json",
        "success":function(d){
            Com.ajaxLoaded();
            if(d.result[0].code == '0'){
                if(d.data.length>0){
                    var nameBd = '';
                    if(d.data[0].exchange || d.data[0].exchange !=''){
                        nameBd = d.data[0].indexcode+'.'+d.data[0].exchange;
                    }else{
                        nameBd = d.data[0].indexcode;
                    }
                    if(d.data[0].indexname && d.data[0].indexname !=''){
                        Com.setLocalValue('zh_stockname',d.data[0].indexname);
                    }

                    //设置标题
                    Com.setWebviewTitle('',{"title":d.data[0].indexname+'('+nameBd+')',"bgColor":"2F569E"},true);
                }
            }
            else if(d.result[0].code == '11' || d.result[0].code == '18' || d.result[0].code == '19'){
                return false;
            }
            else{
                Com.showNativeAlert('',d.result[0].msg,['确定'],'');
            }
        },
        "isTradeLogin":false,
        "error":function(){
            Com.ajaxLoaded();
            Com.showNativeAlert('','网络不给力|getIndexBasicInfoById',['确定'],'')
        }
    });
}